# Die folgenden 2 Zeilen sind unter Linux schon vordefiniert,
# andere Systeme brauchen diese Definitionen eventuell?
CC=gcc
CXX=g++

#WARN = -Wall #so fuer neue Programme
# nach -Wall koennen noch Ausnahmen geschaltet werden:
WARN = -Wall -Wno-unused-variable -Wno-unused-result
#WARN = -Wall -Wno-unused-result -Wno-parentheses -Wno-unused-variable -Wno-write-strings

#DEBUG= -ggdb -D _DEBUG # ggdb fuer den Gnu-Debugger, _DEBUG fuer im Programm
OPT  = -O3  #-O3 fuer moeglichst schnell, -Os fuer moeglist kurz
#CFLAGS  = -pthread -std=c++11 -I$h $(WARN) $(OPT) $(DEBUG) 
CFLAGS  =  -std=c++11 $(WARN) $(OPT) $(DEBUG) 
CXXFLAGS= $(CFLAGS)

LDFLAGS = $(DEBUG)
LDLIBS  = -lm

all: stlmodelexporter

install:
	cp stlmodelexporter $(HOME)/bin/

clean:
	rm -f *.o *~
clean_all:
	rm -f *.o *~
	rm -f stlmodelexporter
